Subject: [bug#70282] [PATCH v4] gnu: gnome-shell: Wrap screencast service.

From: Dariqq <[email-masked]>
Date: Thu, 9 May 2024 08:27:37 +0000

Hi Liliana,

On 09.05.24 00:11, Liliana Marie Prikler wrote:
> Hi Dariqq,
> 
> Am Mittwoch, dem 08.05.2024 um 21:18 +0000 schrieb Dariqq:
>> [...]
>>
>> On 08.05.24 21:51, Maxim Cournoyer wrote:
>>
>>> [...]
>>> Perhaps a simple patch would convey the change better and be easier
>>> to
>>> maintain in the future / be readily available for other
>>> distributions to
>>> use.
>>
>> The simple patch that would do this is basically the patch from nixos
>> in  v1 of this which adds a shebang line for gjs to the service
>> invocation files (rather than the dbus service invoking $gjs
>> $service). The problem then is that wrap-program changes the filename
>> to * .real which makes gjs unhappy.
>>
>> [...]
>> Maybe another comment, similiar to the one Liliana suggested earlier
>> in this thread, could be added at the beginning to inform about
>> changing to wrap script + patch instead once that is a viable option?

> The pattern we typically use is to add an autotools-style "variable",
> e.g. @GNOME_SHELL_GST_PLUGIN_SYSTEM_PATH@ through a patch, then use
> substitute* to fill it in.  I don't think it's a requirement, but since
> Maxim suggested, it'd definitely be nice to have.

How would this work in this case for gnomeshell? Put the js that gets 
concatenated here into the actual file with a patch adding placeholder 
variables for GST Plugin path and gi typelib path and replace later?

As these js files get generated from a common template for each service 
this would require substituting all of them and not only the screencast 
service.

> Cheers